%
% w = compact_representation(x, y, m)
%
% Function for computing the reduced representation of the images using the
% m most dominant components
%
% Input:
%       x - Vectorized and centered images, of size [width*height, number_of_images]
%       y - Principal components (PC) sorted in decreasing order wrt the eigenvalues,
%           of size [width*height, number_of_images]
%       m - Number of components to be used for the approximation, of size [1, 1]
% Output:
%       w - Vectors of weights as the reduced representation, of size [m, number_of_images]
%

function w = compact_representation(x, y, m)
    
    % Project the images on the PC basis
    
	% HERE YOUR CODE
    
end
