%
% z = reconstruct_images(w, y, x_mean)
%
% Function for reconstruct the approximated version of the vectorized
% images
%
% Input:
%       w - Vectors of weights as the reduced representation, of size [m, number_of_images]
%       y - Principal components (PC) sorted in decreasing order wrt the eigenvalues,
%           of size [width*height, number_of_images]
%       x_mean - Mean veactorized image, of size [width*height, 1]
% Output:
%       z - Reconstructed vectorized images, of size [width*height, number_of_images]
%


function z = reconstruct_images(w, y, x_mean)
    
    % Get number of components and number of samples
    [m num_samples] = size(w);
    
    % Apply the liner combination and add the mean image
    
	% HERE YOUR CODE
    
end
